package com.bonus.boot.manager.basic.service.impl;


import com.bonus.boot.manager.basic.dao.AppLoginAuditDao;
import com.bonus.boot.manager.basic.entity.AppLoginAudit;
import com.bonus.boot.manager.basic.service.AppLoginAuditService;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestParam;

import javax.annotation.Resource;
import java.util.List;

/**
 * APP登录记录表(AppLoginAudit)表服务实现类
 *
 * @author makejava
 * @since 2022-12-12 13:57:46
 */
@Service("appLoginAuditService")
public class AppLoginAuditServiceImpl implements AppLoginAuditService {
    @Resource
    private AppLoginAuditDao appLoginAuditDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public AppLoginAudit queryById(Integer id) {
        return this.appLoginAuditDao.queryById(id);
    }

    /**
     * 分页查询
     * @param appLoginAudit 筛选条件
     * @return 查询结果
     */
    @Override
    public List<AppLoginAudit> queryByPage(AppLoginAudit appLoginAudit, Integer page, @RequestParam("limit")Integer pageSize) {
        return appLoginAuditDao.queryAllByLimit(appLoginAudit,page,pageSize);
    }

    /**
     * 新增数据
     *
     * @param appLoginAudit 实例对象
     * @return 实例对象
     */
    @Override
    public AppLoginAudit insert(AppLoginAudit appLoginAudit) {
        this.appLoginAuditDao.insert(appLoginAudit);
        return appLoginAudit;
    }

    /**
     * 修改数据
     *
     * @param appLoginAudit 实例对象
     * @return 实例对象
     */
    @Override
    public AppLoginAudit update(AppLoginAudit appLoginAudit) {
        this.appLoginAuditDao.update(appLoginAudit);
        return this.queryById(appLoginAudit.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.appLoginAuditDao.deleteById(id) > 0;
    }
}
